#!/usr/bin/python

#-----------------------------------------------------------------------------

# -*- coding: iso-8859-1 -*-

from SOAPpy import Client, Config
import base64

def test_zope():

    #Config.debug = 1 # enables all of the following dump*
    #Config.dumpHeadersIn = 1
    #Config.dumpHeadersOut = 1
    #Config.dumpSOAPIn = 1
    #Config.dumpSOAPOut = 1

    Config.argsOrdering= { 'render_diagramm': ('META','DATA','fmt','scale','bg') }

    server = Client.SOAPProxy("http://localhost:8080/webgraf-nocache", \
                              encoding="iso-8859-1", config=Config)

    DATA = []
    dict = {}
    dict['X_TEXT'] = 'a'
    dict['Y_WERT_1'] = 1.5
    dict['Y_WERT_2'] = 2.5
    dict['Y_WERT_3'] = None
    dict['Y_WERT_4'] = None
    dict['Y_WERT_5'] = None
    DATA.append(dict.copy())
    dict['X_TEXT'] = 'b'
    dict['Y_WERT_1'] = 3
    dict['Y_WERT_2'] = 4
    DATA.append(dict.copy())

    dict = {}
    dict['TYP'] = 1
    dict['DIAGRAMM_ID'] = 'dynamic'
    dict['TITEL'] = 'titel'
    dict['X_TITEL'] = 'x-titel'
    dict['Y_TITEL'] = 'y-titel'
    dict['X_DIMENSION'] = 'x-dim'
    dict['Y_DIMENSION'] = 'y-dim'
    dict['Y_MIN'] = 0
    dict['Y_MAX'] = 5
    dict['FARBE_1'] = 'red'
    dict['FARBE_2'] = 'blue'
    dict['FARBE_3'] = None
    dict['FARBE_4'] = None
    dict['FARBE_5'] = None
    dict['LEGENDE_1'] = 'My Text a'
    dict['LEGENDE_2'] = 'My Text b'
    dict['LEGENDE_3'] = None
    dict['LEGENDE_4'] = None
    dict['LEGENDE_5'] = None
    META = dict.copy()

    fmt = 'png'
    result = server.render_diagramm(META=META,DATA=DATA,fmt=fmt)

    out = open('out.%s'%fmt,'wb')
    out.write(base64.decodestring(result))

if __name__ == "__main__":
    test_zope()

# vi:ts=4
