#!/usr/bin/python

#-----------------------------------------------------------------------------

# -*- coding: iso-8859-1 -*-

from httplib import HTTPConnection


def test_zope():

    verbose = 0 

    server = HTTPConnection(host="localhost",port=8080)

    body1="""<?xml version='1.0'?>
<methodCall>
<methodName>soaptest</methodName>
<params>
<param><value><int>1</int></value></param>
<param><value><int>2</int></value></param>
<param><value><int>3</int></value></param>
</params>
</methodCall>
"""
    body2="""<?xml version='1.0'?>
<methodCallNoneXMLRPC>
<methodName>soaptest</methodName>
<params>
<param><value><int>1</int></value></param>
<param><value><int>2</int></value></param>
<param><value><int>3</int></value></param>
</params>
</methodCallNoneXMLRPC>
"""

    headers1={ 'Content-Type':'text/xml'}
    headers2={ 'Content-Type':'application/octet-stream'}

    # results in an methodRespone/fault
    server.request("POST","/SOAPSupport/xmltest",body=body1,headers=headers1)
        print server.getresponse().read()

    # should print REQUEST
    server.request("POST","/SOAPSupport/xmltest",body=body1,headers=headers2)
        print server.getresponse().read()

    # should print REQUEST
    server.request("POST","/SOAPSupport/xmltest",body=body2,headers=headers1)
        print server.getresponse().read()

if __name__ == "__main__":
    test_zope()

# vi:ts=4
